Configuration

Read installation SMTP settings

GET
/api/settings/email

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Response Body

Response for status 200

application/json
  1. response
host*string
port*integer
Range1 <= value <= 65535
secure*boolean
from*string
username*string
Lengthlength <= 320
enabled*boolean
hasPassword*boolean
source*string
Value in"database""deployment""none"
Example Request
curl -X GET 'https://postbot.example/api/settings/email'
Example Response
{
  "host": "string",
  "port": 1,
  "secure": true,
  "from": "string",
  "username": "string",
  "enabled": true,
  "hasPassword": true,
  "source": "database"
}

Was this page helpful?